diff -uNrd -x CVS ircd-hybrid-7rc5/include/config.h.dist ircd-hybrid-7-bg/include/config.h.dist
--- ircd-hybrid-7rc5/include/config.h.dist	Wed Jun 19 16:17:44 2002
+++ ircd-hybrid-7-bg/include/config.h.dist	Fri Mar  7 00:36:11 2003
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: config.h.dist,v 7.58 2002/06/19 20:17:44 leeh Exp $
+ *  $Id: config.h.dist,v 1.2 2003/03/07 05:36:11 demond Exp $
  */
 
 #ifndef INCLUDED_config_h
@@ -299,12 +299,16 @@
 #define VCHANS
 #define ANONOPS
 #define HALFOPS
+#define USEPACE
+#undef UMODEQ
 
 /* disable them for efnet */
 #ifdef EFNET
 #undef VCHANS
 #undef ANONOPS
 #undef HALFOPS
+#undef USEPACE
+#undef UMODEQ
 #ifndef HIDE_SERVERS_IPS
 #define HIDE_SERVERS_IPS
 #endif
diff -uNrd -x CVS ircd-hybrid-7rc5/include/defaults.h ircd-hybrid-7-bg/include/defaults.h
--- ircd-hybrid-7rc5/include/defaults.h	Tue Apr 23 10:26:24 2002
+++ ircd-hybrid-7-bg/include/defaults.h	Mon Mar 10 01:09:00 2003
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: defaults.h,v 7.5 2002/04/23 14:26:24 leeh Exp $
+ *  $Id: defaults.h,v 1.2 2003/03/10 06:09:00 demond Exp $
  */
 
 #ifndef INCLUDED_defaults_h
@@ -89,9 +89,11 @@
 #if defined( WANT_GETTEXT ) && defined( HAVE_GETTEXT ) && defined( MSGPATH )
 #define USE_GETTEXT 1
 #define _(a)       (gettext(a))
+#define __(d, a)   (dgettext(d, a))
 #else
 #undef USE_GETTEXT
 #define _(a)       (a)
+#define __(d, a)   (a)
 #endif
 
 #define CONFIG_H_LEVEL_7
diff -uNrd -x CVS ircd-hybrid-7rc5/include/event.h ircd-hybrid-7-bg/include/event.h
--- ircd-hybrid-7rc5/include/event.h	Fri Sep 20 01:31:54 2002
+++ ircd-hybrid-7-bg/include/event.h	Mon Dec 30 23:07:25 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: event.h,v 1.13 2002/09/20 05:31:54 db Exp $
+ *  $Id: event.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDED_event_h
diff -uNrd -x CVS ircd-hybrid-7rc5/include/fdlist.h ircd-hybrid-7-bg/include/fdlist.h
--- ircd-hybrid-7rc5/include/fdlist.h	Fri May 24 19:34:07 2002
+++ ircd-hybrid-7-bg/include/fdlist.h	Tue Feb  4 11:13:05 2003
@@ -19,12 +19,13 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: fdlist.h,v 7.25 2002/05/24 23:34:07 androsyn Exp $
+ *  $Id: fdlist.h,v 1.3 2003/02/04 16:13:05 demond Exp $
  */
 
 #ifndef INCLUDED_fdlist_h
 #define INCLUDED_fdlist_h
 
+#include "stdinc.h"
 #include "config.h"
 #include "ircd_defs.h"
 #include "res.h"
@@ -115,6 +116,10 @@
         unsigned int nonblocking:1;
         unsigned int ipc:1;
         unsigned int called_connect:1;
+#ifdef HAVE_LIBCRYPTO
+		unsigned int accept_read:1;
+		unsigned int accept_write:1;
+#endif        
     } flags;
     struct {
         /* We don't need the host here ? */
@@ -124,6 +129,10 @@
         void *data;
         /* We'd also add the retry count here when we get to that -- adrian */
     } connect;
+#ifdef HAVE_LIBCRYPTO
+	SSL *ssl;
+	int accept_failures;
+#endif
 };
 
 
@@ -131,7 +140,7 @@
 
 void fdlist_init(void);
 
-extern void  fd_open(int, unsigned int, const char *);
+extern void  fd_open(int, unsigned int, const char *, void *);
 extern void  fd_close(int);
 extern void  fd_dump(struct Client *source_p);
 #ifndef __GNUC__
diff -uNrd -x CVS ircd-hybrid-7rc5/include/fileio.h ircd-hybrid-7-bg/include/fileio.h
--- ircd-hybrid-7rc5/include/fileio.h	Fri May 24 19:34:07 2002
+++ ircd-hybrid-7-bg/include/fileio.h	Mon Dec 30 23:07:25 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: fileio.h,v 7.11 2002/05/24 23:34:07 androsyn Exp $
+ *  $Id: fileio.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDED_fileio_h
diff -uNrd -x CVS ircd-hybrid-7rc5/include/handlers.h ircd-hybrid-7-bg/include/handlers.h
--- ircd-hybrid-7rc5/include/handlers.h	Sat Jan  5 04:14:28 2002
+++ ircd-hybrid-7-bg/include/handlers.h	Mon Dec 30 23:07:25 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: handlers.h,v 7.38 2002/01/05 09:14:28 a1kmm Exp $
+ *  $Id: handlers.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDED_handlers_h
diff -uNrd -x CVS ircd-hybrid-7rc5/include/hash.h ircd-hybrid-7-bg/include/hash.h
--- ircd-hybrid-7rc5/include/hash.h	Fri May 24 19:34:07 2002
+++ ircd-hybrid-7-bg/include/hash.h	Fri Mar  7 00:36:11 2003
@@ -19,20 +19,20 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: hash.h,v 7.18 2002/05/24 23:34:07 androsyn Exp $
+ *  $Id: hash.h,v 1.2 2003/03/07 05:36:11 demond Exp $
  */
 
 #ifndef INCLUDED_hash_h
 #define INCLUDED_hash_h
 
-/* 
+/*
  * Client hash table size
  *
  * used in hash.c, s_debug.c
  */
 #define U_MAX 65536
 
-/* 
+/*
  * Channel hash table size
  *
  * used in hash.c, s_debug.c
@@ -68,12 +68,12 @@
 extern size_t hash_get_resv_table_size(void);
 
 extern void   init_hash(void);
-extern void   add_to_client_hash_table(const char* name, 
+extern void   add_to_client_hash_table(const char* name,
                                        struct Client* client);
-extern void   del_from_client_hash_table(const char* name, 
+extern void   del_from_client_hash_table(const char* name,
                                          struct Client* client);
 extern void   del_from_id_hash_table(const char *name, struct Client *client);
-extern void   del_from_channel_hash_table(const char* name, 
+extern void   del_from_channel_hash_table(const char* name,
                                           struct Channel* chan);
 extern struct Channel* hash_find_channel(const char* name);
 extern struct Client* find_client(const char* name);
@@ -85,6 +85,13 @@
 extern void del_from_resv_hash_table(const char *name,
                                      struct ResvChannel *resv_p);
 extern struct ResvChannel *hash_find_resv(const char *name);
+
+extern int services_present(void);
+extern struct Client* find_services(void);
+extern void clear_svs_client_hash_table(void);
+
+extern void do_local_clients(void (*)(), char *, void *); 
+extern void do_channel_local(void (*)(), char *, void *); 
 
 #endif  /* INCLUDED_hash_h */
 
diff -uNrd -x CVS ircd-hybrid-7rc5/include/hook.h ircd-hybrid-7-bg/include/hook.h
--- ircd-hybrid-7rc5/include/hook.h	Wed Oct 30 22:12:29 2002
+++ ircd-hybrid-7-bg/include/hook.h	Mon Dec 30 23:07:25 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: hook.h,v 1.15 2002/10/31 03:12:29 wiz Exp $
+ *  $Id: hook.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef __HOOK_H_INCLUDED
diff -uNrd -x CVS ircd-hybrid-7rc5/include/hostmask.h ircd-hybrid-7-bg/include/hostmask.h
--- ircd-hybrid-7rc5/include/hostmask.h	Wed Sep 11 11:27:07 2002
+++ ircd-hybrid-7-bg/include/hostmask.h	Mon Dec 30 23:07:25 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: hostmask.h,v 1.23 2002/09/11 15:27:07 db Exp $
+ *  $Id: hostmask.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDE_hostmask_h
@@ -46,13 +46,13 @@
 int match_ipv6(struct irc_inaddr*, struct irc_inaddr*, int);
 int match_ipv4(struct irc_inaddr*, struct irc_inaddr*, int);
 struct ConfItem* find_conf_by_address(const char*, struct irc_inaddr*,
-                                      int, int, const char*);
+                                      int, int, const char*, char *);
 void add_conf_by_address(const char*, int, const char*, struct ConfItem*);
 void delete_one_address_conf(const char*, struct ConfItem*);
 void clear_out_address_conf(void);
 void init_host_hash(void);
 struct ConfItem* find_address_conf(const char*, const char*,
-                                   struct irc_inaddr*, int);
+                                   struct irc_inaddr*, int, char *);
 struct ConfItem* find_kline_conf(const char*, const char*,
 				 struct irc_inaddr*, int);
 struct ConfItem* find_dline_conf(struct irc_inaddr *, int);
@@ -101,6 +101,4 @@
   struct AddressRec *next;
 };
 
-
 #endif /* INCLUDE_hostmask_h */
-
diff -uNrd -x CVS ircd-hybrid-7rc5/include/irc_string.h ircd-hybrid-7-bg/include/irc_string.h
--- ircd-hybrid-7rc5/include/irc_string.h	Wed Aug 28 13:00:12 2002
+++ ircd-hybrid-7-bg/include/irc_string.h	Mon Dec 30 23:07:25 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: irc_string.h,v 7.37 2002/08/28 17:00:12 androsyn Exp $
+ *  $Id: irc_string.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDED_irc_string_h
diff -uNrd -x CVS ircd-hybrid-7rc5/include/ircd.h ircd-hybrid-7-bg/include/ircd.h
--- ircd-hybrid-7rc5/include/ircd.h	Tue Jun 25 23:05:42 2002
+++ ircd-hybrid-7-bg/include/ircd.h	Sun Jan  5 00:20:57 2003
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: ircd.h,v 7.51 2002/06/26 03:05:42 androsyn Exp $
+ *  $Id: ircd.h,v 1.2 2003/01/05 05:20:57 demond Exp $
  */
 
 #ifndef INCLUDED_ircd_h
@@ -57,6 +57,8 @@
   int     unknown;        /* unknown connections */
   int     max_loc;        /* MAX local clients */
   int     max_tot;        /* MAX global clients */
+  int	identified;
+  int	max_identified;
   unsigned long totalrestartcount; /* Total client count ever */
 };
 
diff -uNrd -x CVS ircd-hybrid-7rc5/include/ircd_defs.h ircd-hybrid-7-bg/include/ircd_defs.h
--- ircd-hybrid-7rc5/include/ircd_defs.h	Thu Jul 11 20:43:20 2002
+++ ircd-hybrid-7-bg/include/ircd_defs.h	Mon Dec 30 23:07:25 2002
@@ -19,12 +19,12 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: ircd_defs.h,v 7.31 2002/07/12 00:43:20 androsyn Exp $
+ *  $Id: ircd_defs.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 /*
  * NOTE: NICKLEN and TOPICLEN do not live here anymore. Set it with configure
- * Otherwise there are no user servicable part here. 
+ * Otherwise there are no user servicable part here.
  *
  */
  /* ircd_defs.h - Global size definitions for record entries used
@@ -40,19 +40,21 @@
 #  error Incorrect config.h for this revision of ircd.
 #endif
 
+#define BUFMAX			0x100
+
 #define HOSTLEN         63      /* Length of hostname.  Updated to         */
                                 /* comply with RFC1123                     */
 
 #define USERLEN         10
 #define REALLEN         50
-#define KILLLEN         90      
+#define KILLLEN         90
 #define CHANNELLEN      200
 
 /* 23+1 for \0 */
 #define KEYLEN          24
 #define BUFSIZE         512     /* WARNING: *DONT* CHANGE THIS!!!! */
 #define MAXRECIPIENTS   20
-#define MAXBANLENGTH    1024
+#define MAXBANLENGTH    512
 #define OPERNICKLEN     NICKLEN*2 /* Length of OPERNICKs. */
 
 #define USERHOST_REPLYLEN       (NICKLEN+HOSTLEN+USERLEN+5)
@@ -60,20 +62,21 @@
 
 #define HELPLEN         400
 
-/* 
- * message return values 
+/*
+ * message return values
  */
 #define CLIENT_EXITED    -2
 #define CLIENT_PARSE_ERROR -1
 #define CLIENT_OK	1
 
+#define BUFFMAX			BUFSIZE
 
 struct irc_inaddr
 {
 	union {
 		struct in_addr sin;
 #ifdef IPV6
-		struct in6_addr sin6;	
+		struct in6_addr sin6;
 #endif
 	} sins;
 };
@@ -84,7 +87,7 @@
 		struct sockaddr_in sin;
 #ifdef IPV6
 		struct sockaddr_in6 sin6;
-#endif			
+#endif
 	} sins;
 };
 
@@ -128,12 +131,12 @@
 #define PSOCKADDR(x)	x->sins.sin			/* struct sockaddr_in */
 
 
-#define PIN_ADDR(x) x->sins.sin.s_addr 
+#define PIN_ADDR(x) x->sins.sin.s_addr
 #define IN_ADDR(x) x.sins.sin.s_addr
 
 #ifndef AF_INET6
 #define AF_INET6 10 /* Dummy AF_INET6 declaration */
-#endif 
+#endif
 #define DEF_FAM AF_INET
 
 #endif
diff -uNrd -x CVS ircd-hybrid-7rc5/include/ircd_getopt.h ircd-hybrid-7-bg/include/ircd_getopt.h
--- ircd-hybrid-7rc5/include/ircd_getopt.h	Fri May 24 19:34:07 2002
+++ ircd-hybrid-7-bg/include/ircd_getopt.h	Mon Dec 30 23:07:25 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: ircd_getopt.h,v 1.3 2002/05/24 23:34:07 androsyn Exp $
+ *  $Id: ircd_getopt.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef __GETOPT_H_INCLUDED__
diff -uNrd -x CVS ircd-hybrid-7rc5/include/ircd_handler.h ircd-hybrid-7-bg/include/ircd_handler.h
--- ircd-hybrid-7rc5/include/ircd_handler.h	Sat Jan  5 04:14:28 2002
+++ ircd-hybrid-7-bg/include/ircd_handler.h	Mon Dec 30 23:07:25 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: ircd_handler.h,v 7.5 2002/01/05 09:14:28 a1kmm Exp $
+ *  $Id: ircd_handler.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDED_ircd_handler_h
diff -uNrd -x CVS ircd-hybrid-7rc5/include/ircd_signal.h ircd-hybrid-7-bg/include/ircd_signal.h
--- ircd-hybrid-7rc5/include/ircd_signal.h	Sat Jan  5 04:14:28 2002
+++ ircd-hybrid-7-bg/include/ircd_signal.h	Mon Dec 30 23:07:25 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: ircd_signal.h,v 7.2 2002/01/05 09:14:28 a1kmm Exp $
+ *  $Id: ircd_signal.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDED_ircd_signal_h
diff -uNrd -x CVS ircd-hybrid-7rc5/include/ircdauth.h ircd-hybrid-7-bg/include/ircdauth.h
--- ircd-hybrid-7rc5/include/ircdauth.h	Sat Jan  5 04:14:28 2002
+++ ircd-hybrid-7-bg/include/ircdauth.h	Mon Dec 30 23:07:25 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: ircdauth.h,v 7.5 2002/01/05 09:14:28 a1kmm Exp $
+ *  $Id: ircdauth.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDED_ircdauth_h
diff -uNrd -x CVS ircd-hybrid-7rc5/include/linebuf.h ircd-hybrid-7-bg/include/linebuf.h
--- ircd-hybrid-7rc5/include/linebuf.h	Sun Jul 14 16:15:38 2002
+++ ircd-hybrid-7-bg/include/linebuf.h	Mon Dec 30 23:07:25 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: linebuf.h,v 1.24 2002/07/14 20:15:38 androsyn Exp $
+ *  $Id: linebuf.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef __LINEBUF_H__
diff -uNrd -x CVS ircd-hybrid-7rc5/include/list.h ircd-hybrid-7-bg/include/list.h
--- ircd-hybrid-7rc5/include/list.h	Thu Jul 11 20:43:20 2002
+++ ircd-hybrid-7-bg/include/list.h	Mon Dec 30 23:07:25 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: list.h,v 7.15 2002/07/12 00:43:20 androsyn Exp $
+ *  $Id: list.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDED_list_h
diff -uNrd -x CVS ircd-hybrid-7rc5/include/listener.h ircd-hybrid-7-bg/include/listener.h
--- ircd-hybrid-7rc5/include/listener.h	Fri May 24 19:34:07 2002
+++ ircd-hybrid-7-bg/include/listener.h	Thu Jan 30 10:28:58 2003
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: listener.h,v 7.10 2002/05/24 23:34:07 androsyn Exp $
+ *  $Id: listener.h,v 1.2 2003/01/30 15:28:58 demond Exp $
  */
 
 #ifndef INCLUDED_listener_h
@@ -45,9 +45,10 @@
   struct irc_inaddr addr;              /* virtual address or INADDR_ANY */
   struct DNSQuery   *dns_query;
   char             vhost[HOSTLEN + 1]; /* virtual name of listener */
+  int	is_ssl;
 };
 
-extern void        add_listener(int port, const char* vaddr_ip);
+extern void        add_listener(int port, const char* vaddr_ip, int is_ssl);
 extern void        close_listener(struct Listener* listener);
 extern void        close_listeners(void);
 extern const char* get_listener_name(const struct Listener* listener);
diff -uNrd -x CVS ircd-hybrid-7rc5/include/m_info.h ircd-hybrid-7-bg/include/m_info.h
--- ircd-hybrid-7rc5/include/m_info.h	Fri May 24 19:34:07 2002
+++ ircd-hybrid-7-bg/include/m_info.h	Mon Dec 30 23:07:25 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_info.h,v 7.40 2002/05/24 23:34:07 androsyn Exp $
+ *  $Id: m_info.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDED_m_info_h
diff -uNrd -x CVS ircd-hybrid-7rc5/include/m_kline.h ircd-hybrid-7-bg/include/m_kline.h
--- ircd-hybrid-7rc5/include/m_kline.h	Sat Jan  5 04:14:28 2002
+++ ircd-hybrid-7-bg/include/m_kline.h	Mon Dec 30 23:07:25 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_kline.h,v 7.7 2002/01/05 09:14:28 a1kmm Exp $
+ *  $Id: m_kline.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDED_m_kline_h
diff -uNrd -x CVS ircd-hybrid-7rc5/include/md5.h ircd-hybrid-7-bg/include/md5.h
--- ircd-hybrid-7rc5/include/md5.h	Sat Mar  9 16:48:35 2002
+++ ircd-hybrid-7-bg/include/md5.h	Mon Dec 30 23:07:25 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: md5.h,v 1.6 2002/03/09 21:48:35 androsyn Exp $
+ *  $Id: md5.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef __INCLUDE_MD5_H_INCLUDED
diff -uNrd -x CVS ircd-hybrid-7rc5/include/memory.h ircd-hybrid-7-bg/include/memory.h
--- ircd-hybrid-7rc5/include/memory.h	Sat Jul 13 18:54:47 2002
+++ ircd-hybrid-7-bg/include/memory.h	Mon Dec 30 23:07:25 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: memory.h,v 7.36 2002/07/13 22:54:47 androsyn Exp $
+ *  $Id: memory.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef _I_MEMORY_H
diff -uNrd -x CVS ircd-hybrid-7rc5/include/modules.h ircd-hybrid-7-bg/include/modules.h
--- ircd-hybrid-7rc5/include/modules.h	Fri May 24 21:38:09 2002
+++ ircd-hybrid-7-bg/include/modules.h	Fri Mar  7 00:36:11 2003
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: modules.h,v 7.31 2002/05/25 01:38:09 androsyn Exp $
+ *  $Id: modules.h,v 1.3 2003/03/07 05:36:11 demond Exp $
  */
 
 #ifndef INCLUDED_modules_h
@@ -90,6 +90,7 @@
 extern struct Message cjoin_msgtab;
 extern struct Message client_msgtab;
 extern struct Message close_msgtab;
+extern struct Message conf_msgtab;
 extern struct Message connect_msgtab;
 extern struct Message die_msgtab;
 extern struct Message dmem_msgtab;
@@ -138,6 +139,12 @@
 extern struct Message squit_msgtab;
 extern struct Message stats_msgtab;
 extern struct Message svinfo_msgtab;
+extern struct Message svsnick_msgtab;
+extern struct Message svshint_msgtab;
+extern struct Message svshost_msgtab;
+extern struct Message svsjoin_msgtab;
+extern struct Message svspart_msgtab;
+extern struct Message svsmode_msgtab;
 extern struct Message testline_msgtab;
 extern struct Message time_msgtab;
 extern struct Message topic_msgtab;
@@ -149,6 +156,7 @@
 extern struct Message users_msgtab;
 extern struct Message version_msgtab;
 extern struct Message wallops_msgtab;
+extern struct Message watch_msgtab;
 extern struct Message who_msgtab;
 extern struct Message whois_msgtab;
 extern struct Message whowas_msgtab;
diff -uNrd -x CVS ircd-hybrid-7rc5/include/motd.h ircd-hybrid-7-bg/include/motd.h
--- ircd-hybrid-7rc5/include/motd.h	Fri May 24 19:34:07 2002
+++ ircd-hybrid-7-bg/include/motd.h	Mon Dec 30 23:07:25 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: motd.h,v 7.10 2002/05/24 23:34:07 androsyn Exp $
+ *  $Id: motd.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDED_motd_h
diff -uNrd -x CVS ircd-hybrid-7rc5/include/msg.h ircd-hybrid-7-bg/include/msg.h
--- ircd-hybrid-7rc5/include/msg.h	Wed Oct 23 23:35:56 2002
+++ ircd-hybrid-7-bg/include/msg.h	Mon Dec 30 23:07:25 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: msg.h,v 7.42 2002/10/24 03:35:56 bill Exp $
+ *  $Id: msg.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDED_msg_h
@@ -30,8 +30,8 @@
 
 struct Client;
 
-/* 
- * Message table structure 
+/*
+ * Message table structure
  */
 struct Message
 {
@@ -39,8 +39,8 @@
   unsigned int  count;      /* number of times command used */
   unsigned int	rcount;     /* number of times command used by server */
   unsigned int  parameters; /* at least this many args must be passed
-                             * or an error will be sent to the user 
-                             * before the m_func is even called 
+                             * or an error will be sent to the user
+                             * before the m_func is even called
                              */
   unsigned int  maxpara;    /* maximum permitted parameters */
   unsigned int  flags;      /* bit 0 set means that this command is allowed
@@ -63,14 +63,11 @@
 /*
  * Constants
  */
-#define   MFLG_SLOW              0x01   /* Command can be executed roughly    *
-                                         * once per 2 seconds.                */
-#define   MFLG_UNREG             0x02   /* Command available to unregistered  *
-                                         * clients.                           */
-#define   MFLG_IGNORE            0x04   /* silently ignore command from
-                                         * unregistered clients */
-#define   MFLG_HIDDEN		 0x08   /* Command is hidden from everyone    *
-					 * but opers			      */
-#define MAXPARA    15 
+#define   MFLG_SLOW			0x01   /* Command can be executed roughly once per 2 seconds. */
+#define   MFLG_UNREG		0x02   /* Command available to unregistered clients. */
+#define   MFLG_IGNORE		0x04   /* silently ignore command from unregistered clients */
+#define   MFLG_HIDDEN		0x08   /* Command is hidden from everyone but opers */
+
+#define   MAXPARA			32
 
 #endif /* INCLUDED_msg_h */
